# @sapphirecode/graphviz-builder

version: 1.2.x

constructing graphviz files using an easy typescript interface

## Installation

npm:

> npm i --save @sapphirecode/graphviz-builder

yarn:

> yarn add @sapphirecode/graphviz-builder

## Usage

### Object structure

```js
import {Graph,Color} from '@sapphirecode/graphviz-builder';

// create a new graph
const g = new Graph('foo');

// add a node to the graph
// this function returns the full name of the node that's later used for creating edges
const bar = g.add_node('bar');

// if you want to specify attributes
const baz = g.add_node(n => {
  n.name = 'baz';
  n.label = 'node baz';
  n.color = Color.red;
});

// connect nodes
g.add_edge(bar, baz);

// add a subgraph
g.add_graph(sg=>{
  sg.name = 'subgraph';

  sg.add_node('foo');
})
```

## License

MIT © Timo Hocker <timo@scode.ovh>
